#include <iostream>
#include <algorithm>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int a=0,b=0,g=0,n,k,p=0,f=0,j,m=1,r=1,s=1,i=0;
	cin>>n>>k;

	int x[n],y[n];
	for(int r=0;r<n;r++)
	{
		cin>>x[r];
	}
	sort(x,x+n);

for(int i=0;i<n;i++)
{
	if(x[i+1]==x[i])
	{
		s++;
		if(s==k)
		{
			y[g]=x[i];
			g++;
			b++;
		}
		
	}
	else
	{
		s=1;
		if(s==k)
		{
			y[g]=x[i];
			g++;
			b++;
		}
	}
	
	
}
	
	



	cout<<b<<endl;
	for(int q=0;q<g;q++)
	{
		cout<<y[q]<<" ";
	}
	
	
	
	return 0;
	
}